Subject: bug#70163: 29.3; hexl-mode incorrect docstring

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Apr 2024 19:11:59 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 07 Apr 2024 12:07:42 -0400
> 
> >> >> > What is "the more appropriate place", and how will you find it, given
> >> >> > that some doc strings are auto-generated, either in part or in full?
> >> >> Right after the next \n ?
> >> > That could be in the middle of a sentence.
> >> Then insert at point if (and (bolp) (not (bobp)))?
> > But that again could be in the middle of a sentence.
> 
> It could.
> 
> > Shouldn't we look for the end of the sentence, and insert after that
> > instead?  Or what am I missing?
> 
> I don't believe in the ability of machines to find the end of
> a sentence. 🙂

Then maybe we shouldn't try to be too smart here?  I already added to
Tips the recommendation to have this not in the middle of a sentence,
so maybe we should leave the rest to the programmer?